![alt-text](https://d1ra4hr810e003.cloudfront.net/visual/accountlogo/108DDF36-0134-4D99-A26726B54D3348C6/small-E15753FA-B0BE-4DDA-B3EB8A86E04A8561.jpg "logo")

# React Component Library

A generic React components library for Edrington brands sites based on the [Atomic design methodology](http://atomicdesign.bradfrost.com/chapter-2/).


## Installation

Download the package through npm [here](https://www.npmjs.com/package/edrington-react-ui-components)

Alternatively run `npm i -S edrington-react-ui-components`


## Components List

#### ️️⚛️ Atoms 

* [EdrButton](./src/lib/components/atoms/EdrButton)
* [EdrImage](./src/lib/components/atoms/EdrImage)
* [EdrInput](./src/lib/components/atoms/EdrInput)
* [EdrSpinner](./src/lib/components/atoms/EdrSpinner)
* [EdrText](./src/lib/components/atoms/EdrText)

#### 🧬 Molecules 

* [EdrButtonGroup](./src/lib/components/molecules/EdrButtonGroup)
* [EdrImageHero](./src/lib/components/molecules/EdrImageHero)
* [EdrInputGroup](./src/lib/components/molecules/EdrInputGroup)

#### 🦠 Organisms 

* [EdrCarousel](./src/lib/components/organisms/EdrCarousel)


## CSS Themes

Themes can be imported from the `edrington-react-ui-components` package using es6 imports:

Add the following to the top of your root file: `import "edrington-react-ui-components/themes/themacallan"`

Themes exist for the following brands:

* [Brugal](./src/lib/themes/brands/brugal/brugal.scss)
* [Brugal 1888](./src/lib/themes/brands/brugal-1888/brugal-1888.scss)
* [Edrington](./src/lib/themes/brands/edrington/edrington.scss)
* [Highland Park](./src/lib/themes/brands/highland-park/highland-park.scss)
* [Naked Grouse](./src/lib/themes/brands/naked-grouse/naked-grouse.scss)
* [Snow Leopard](./src/lib/themes/brands/snow-leopard/snow-leopard.scss)
* [The Famous Grouse](./src/lib/themes/brands/the-famous-grouse/the-famous-grouse.scss)
* [The Glenrothes](./src/lib/themes/brands/the-glenrothes/the-glenrothes.scss)
* [The Macallan](./src/lib/themes/brands/the-macallan/the-macallan.scss)


## Local development 

Clone the repo then run `npm i; npm run storybook`
